Create only one instance of each social ambient panel instead of one per window
Just by enabling "Facebook Messenger for Nightly", I go from 555.70MB to 728.44MB in explicit allocations in about:memory. I have 5 windows opened, two being reduced. I see 15 compartments of more than 8MB.